From 7ad450a2ebb684590b9b84daf4fe2fe7580da63d Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 11:30:56 +0200
Subject: [PATCH 05/14] gcc: add riscv.

---
 srcpkgs/gcc/template | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/srcpkgs/gcc/template b/srcpkgs/gcc/template
index bebcba9ac3d..0c81a33d820 100644
--- a/srcpkgs/gcc/template
+++ b/srcpkgs/gcc/template
@@ -106,6 +106,7 @@ case "$XBPS_TARGET_MACHINE" in
 	mipshf-musl) _triplet="mips-linux-muslhf";;
 	mipsel-musl) _triplet="mipsel-linux-musl";;
 	mipselhf-musl) _triplet="mipsel-linux-muslhf";;
+	riscv64-musl) _triplet="riscv64-linux-musl";;
 esac
 case "$XBPS_TARGET_MACHINE" in
 	*-musl)	 depends+=" musl-devel";;
@@ -124,6 +125,7 @@ case "$XBPS_TARGET_MACHINE" in
 esac
 case "$XBPS_TARGET_MACHINE" in
 	mips*) ;;
+	riscv*) ;;
 	x86_64*|i686) subpackages+=" libitm libitm-devel";;
 	*) subpackages+=" libitm libitm-devel";;
 esac

